#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@文件    :bms_status_ctl.py
@时间    :2022/02/21 16:57:56
@作者    :None
@版本    :1.0
@说明    : 状态栏 CTL
'''


from widget.pcs_status_bar import Win_Pcs_Status_Bar
from utils.globalvar import SD


class PcsStatusControll:
    def __init__(self):
        self._view = Win_Pcs_Status_Bar()

    def pcs_connect(self):
        self._view.label_pcs_connect.setText("已连接")
        self._view.label_pcs_send.setText("发送参数中")
        self._view.label_pcs_received.setText("接收数据中")

    def pcs_disconnect(self):
        if SD.CAN_ON_OFF is False:
            self._view.label_pcs_send.setText("发送未启动")
            self._view.label_pcs_received.setText("接收未启动")
            self._view.label_pcs_connect.setText("未连接")

    def run(self):
        self._view.show()
